#!/bin/sh

dracut_path="/usr/lib/dracut/dracut.conf.d"
conf_file_name="google-cloud"
dracut_conf_ext="conf"
conf_file="${dracut_path}/${conf_file_name}.${dracut_conf_ext}"

if [ ! -d ${dracut_path} ]; then
  exit 0
fi

if [ -f ${conf_file} ]; then
  exit 0
fi

{
  echo '# Added for Google Cloud by Migrate for Compute Engine'
  echo '# Removing this file may affect system boot'
  echo ''
  echo 'add_drivers+="virtio_pci "'
  echo 'add_drivers+="virtio_scsi "'
  echo 'add_drivers+="sd_mod "'
} > ${conf_file}