#!/bin/sh

# Kill any remaining iscsistart processes, which may be waiting
# indefinitely for targets that will never appear.
#
# This is safe to do now, since we reach this point only once the root
# device is available.
#
if [ -n "$(pidof iscsistart)" ] ; then
    echo "Terminating stale iscsistart"
    killproc iscsistart
fi
