#!/bin/bash
#%stage: setup
#%depends: network iscsi

# Forcibly remove any static network or iSCSI configuration that
# mkinitrd may have picked up if run while iSCSI-booted.
for unwanted in config/network.sh config/iscsi.sh config/multipathd.sh \
		config/multipath.sh etc/iscsi/initiatorname.iscsi ; do
    if [ -e $unwanted ] ; then
	echo Removing unwanted $unwanted:
	cat $unwanted
	echo > $unwanted
    fi
done
